using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;

public class PlayerStats : MonoBehaviour {


    private static float maxHealth;
	public static float curHealth;
    public float curHealth1;
    private static string playerName;
	private static int vitality;
	private static int strength;
	private static int defense;
	private static int agility;
	private static int luck;

	private static WeaponStats currentWeapon;
	private SpriteRenderer weaponSpriteRenderer;
    EnterDoor spawn;

	void Start () {
        //weaponSpriteRenderer = GetComponent<SpriteRenderer>();
        //to find the weapon sprite
        curHealth1 = curHealth;
        GameObject weaponSprite = GameObject.FindWithTag("currentWeapon");
		weaponSpriteRenderer = weaponSprite.GetComponent<SpriteRenderer>();
		updateWeapon();

	}
    IEnumerator waitandload()
    {
        //leave time for a death animation and a defeat message, then load the main scene
        yield return new WaitForSeconds(2.0f);
        SceneManager.LoadScene("Town01");
    }
    public void ApplyDamageP(int damage)
    {
        curHealth -= damage;
        if (curHealth <= 0)
        {
            StartCoroutine("waitandload");
        }
    }

    public void ChangeHealthBarp(int damage)
    {
        GameObject healthbar = GameObject.Find("healthbarFullp");
        float newsize = healthbar.transform.localScale.x - ((damage / maxHealth) * 0.3f);
        healthbar.transform.localScale = new Vector3(newsize, 0.3f, 1f);
        if (curHealth <= 0)
        {
            healthbar.GetComponent<SpriteRenderer>().enabled = false;
        }
    }

    /**void OnLevelWasLoaded() {
        spawn.player.transform.position = spawn.spawnPoint[EnterDoor.spawnPointIndex].position;
    }**/

    private void updateWeapon() {
		if (currentWeapon.image == null) {
			Debug.Log("Weapon image is null!");
		}
		else {
			weaponSpriteRenderer.sprite = currentWeapon.image;

		}
	}

	public static float getHealth(){
		return curHealth;
	}

	public void setWeapon(WeaponStats newWeapon){
		currentWeapon = newWeapon;
		updateWeapon ();
	}

	public void setName(string newName){
		playerName = newName;
	}

	public void setVitality(int newVitality){
		vitality = newVitality;
		setMaxHealth (); // Vitality affects HP amount
	}

	// Calculated from vitality
	private void setMaxHealth(){
		maxHealth = vitality*10;
		curHealth = maxHealth;
	}

	public void setStrength(int newStrength){
		strength = newStrength;
	}

	public void setDefense(int newDefense){
		defense = newDefense;
	}

	public void setAgility(int newAgility){
		agility = newAgility;
	}

	public void setLuck(int newLuck){
		luck = newLuck;
	}



}